%global momorel 2
Summary: Gtk+ IRC client
Name: xchat
Version: 2.0.8
Release: %{momorel}m
Group: Applications/Internet
License: GPL

Url: http://xchat.org/

%NoSource 0 http://xchat.org/files/source/2.0/xchat-%{version}.tar.bz2 64cd419e7bb14e36e658b09726d3411f
%NoPatch 0 http://xchat.org/files/source/2.0/patches/xc208-fixsocks5.diff 31de685eff3d16d9466416434c9fd6c3

Patch1: xchat-2.0.8-iroiro.patch
Patch2: xchat-remove-url-from-popup.patch
Patch3: xchat-2.0.6-browsermenu.patch
Patch4: xchat-2.0.6-browsermenu-epiphany.patch
Patch5: xchat-2.0.6-browsermenu-galeon.patch
#Patch6: xchat-2.0.6-remove-browsermenu-firebird.patch

Source1: xchat-ja.po
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl
BuildPreReq: openssl-devel >= 0.9.6
BuildPrereq: gtk+-devel
BuildPrereq: tcl >= 8.4.5-1m
Requires: tcl >= 8.4.5-1m
NoSource: 0

%description
X-Chat is yet another IRC client for the X Window System, using the Gtk+
toolkit. It is pretty easy to use compared to the other Gtk+ IRC clients
and the interface is quite nicely designed.

%prep
%setup -q
%patch0 -p1 -b .fixpsend
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

cp %{SOURCE1} po/ja.po

%build
autoconf
%configure --enable-openssl --disable-japanese-conv --enable-ipv6
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Internet
install -m 644 xchat.desktop %{buildroot}%{_sysconfdir}/X11/applnk/Internet

%clean
rm -rf %{buildroot}

%changelog
* Mon Jun 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.8-2m)
- rebuild against tcl

* Wed Apr 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.8-1m)
- version update to 2.0.8
- removed patch6 and updated iroiro patch to suit 2.0.8

* Tue Mar 30 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.6-4m)
- revise browser menu for galeon
- remove browser menu for MozillaFirebird

* Tue Mar 30 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.6-3m)
- added patch to add browser menu for epiphany

* Mon Mar  1 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.6-2m)
- add patch to revise browser menu

* Thu Dec 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.0.6-1m)
- ver. 2.0.6
- add patch
  http://mail.nl.linux.org/xchat-announce/2003-12/msg00000.html

* Mon Sep 22 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.0.5-1m)
- version 2.0.5
- obsolete patch3
- modify xchat-iroiro.patch for 2.0.5

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.0.4-1m)
- version 2.0.4

* Wed Aug  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.0.3-3m)
- remove URL string from popup menu that appears when you right-click on URL string

* Tue Jul  1 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.3-2m)
- add patch3

* Mon Jun 30 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.3-1m)
- version 2.0.3

* Thu May  1 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-1m)
- version 2.0.2

* Wed Apr  9 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-5m)
- remove GDK_SHIFT_MASK from accelerator modifier.

* Mon Mar 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-4m)
- rebuild against for XFree86-4.3.0

* Tue Mar 18 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.1-3m)
- add GDK_SHIFT_MASK to accelerator modifier.

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.1-2m)
  rebuild against openssl 0.9.7a

* Tue Mar  4 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- version 2.0.1

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.0-1m)
- version 2.0.0

* Mon Feb  3 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.0-0.0.1.1m)
- version 2.0.0pre1

* Mon Feb  3 2003 smbd <smbd@momonga-linux.org>
- (1.9.8-2m)
- change xchat-1.9.7-ja.po to xchat-1.9.8-ja.po

* Sun Jan  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.8-1m)
- version 1.9.8

* Mon Dec 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.7-1m)
- version 1.9.7

* Wed Nov 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.6-1m)
- version 1.9.6

* Thu Nov 14 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.4-1m)
- version 1.9.4

* Sat Sep 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.3-1m)
- version 1.9.3

* Sat Sep 14 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.2-5m)
- update activate patch

* Mon Jul 29 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.2-4m)
- fe-text bug fix.

* Sun Jul 28 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.2-3m)
- add xchat-1.9.2-selection.patch

* Sun Jul 28 2002 Shingo Akaigaki <dora@kitty.dnsalias.org>
- (1.9.2-2m)
- add xchat-1.9.2-activate_event.patch

* Sun Jul 28 2002 Shingo Akaigaki <dora@kitty.dnsalias.org>
- (1.9.2-1m)
- version 1.9.2

* Thu May 23 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.8.9-2k)
- update server list( by smbd )
- update to 1.8.9
  this update includes security fix. See http://online.securityfocus.com/bid/4376

* Thu Apr 18 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.8.8-4k)
- add /etc/X11/applnk/Internet/xchat

* Thu Mar 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.8.8-2k)

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (1.8.7-10k)
- rebuild against for db3,4

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (1.8.7-8k)
- perl 5.6.1

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.8.7-6k)
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Jan 17 2002 Shingo Akagaki <dora@kondara.org>
- (1.8.7-4k)
- automake autoconf 1.5

* Sun Jan 13 2002 WATABE Toyokazu <toy2@kondara.org>
- (1.8.7-2k)
- update to 1.8.7, including security fix.
  http://www.securityfocus.com/bid/3830

* Mon Jan  7 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.8.5-10k)
  *USE* JCONV. I *HAVE* not JCONV. :-P

* Sat Dec  8 2001 Tsutomu Yasuda <tom@kondara.org>
- (1.8.5-8k)
  remove default serverlist.
  remove key bindings(C-b, C-k, C-o).

* Tue Oct 30 2001 Motonobu Ichimura <famao@kondara.org>
- (1.8.5-2k)
- up to 1.8.5
- modify utf8 patch to handle dcc chat
- zh_TW.Big5 -> zh_TW

* Thu Oct 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.8.4-2k)
- backport from Jirai

* Mon Oct 01 2001 Motonobu Ichimura <famao@kondara.org>
- (1.8.4-3k)
- up to 1.8.4

* Mon Sep 03 2001 Motonobu Ichimura <famao@kondara.org>
- (1.8.3-3k)
- up to 1.8.3

* Wed Jul 18 2001 Motonobu Ichimura <famao@kondara.org>
- (1.8.2-3k)
- up to 1.8.2

* Tue Jul 10 2001 Motonobu Ichimura <famao@kondara.org>
- (1.8.0-3k)
- up to 1.8.0
- it is an unstable release. (especially to use Multibyte Char)

* Tue May 29 2001 Akira Higuchi <a@kondara.org>
- (1.6.4-12k)
- change some default settings

* Tue May  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.6.4-10k)
- move autoconf from Requires tag to BuildRequires tag

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (1.6.4-8k)
- rebuild against openssl 0.9.6.

* Sun Mar 25 2001 Motonobu Ichimura <famao@kondara.org>
- (1.6.4-7k)
- ja.po (x-euc-jp -> EUC-JP)
- We need original ja.po (for Codeset menu). I'll added it in the future.

* Wed Mar 06 2001 Motonobu Ichimura <famao@kondara.org>
- (1.6.4-5k)
- modified patch to handle menu_quick_item

* Fri Mar 02 2001 Motonobu Ichimura <famao@kondara.org>
- (1.6.4-3k)
- up to 1.6.4
- re-made utf8 patch (but still need to modify)

* Thu Nov 16 2000 Motonobu Ichimura <famao@kondara.org>
- dump up to 1.6.0
- it is STILL test release ;-)

* Sat Oct 01 2000 Motonobu Ichimura <famao@kondara.org>
- test release ;-)

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Mar 11 2000 Shingo Akagaki <dora@kondara.org>
- install xchat.desktop file

* Sun Nov  7 1999 binn <binn@kondara.org>
- fixed DCC chat trouble.
- Update to 1.3.6.ja-2

* Thu Nov  4 1999 binn <binn@kondara.org>
- done to use gdk_fontset_load default when you upgrade from old one.
- Update to 1.3.6.ja-1

* Tue Oct 19 1999 famao <famao@kondara.org>
- when compiled xchat with 'enable-gnome', xchat uses libzvt as default
- so don't use libzvt if define I18N_MB  for japanese

* Sat Oct 16 1999 binn <binn@binn.dnd.to>
- fixed sigsegv when getting the channellist
- Update to 1.3.4.ja-3

* Sat Oct 16 1999 binn <binn@binn.dnd.to>
- slightly tiny bug in ja.po fiexed
- Update to 1.3.4.ja-2

* Fri Oct 15 1999 binn <binn@binn.dnd.to>
- Update to 1.3.4.ja-1

* Fri Oct  1 1999 binn <binn@binn.dnd.to>
- Fixed DCC info trouble
- Update to 1.3.3.ja-7

* Tue Sep 28 1999 binn <binn@binn.dnd.to>
- changed the position whicth make patched
- But not yet fixed DCC info trouble
- Update to 1.3.3.ja-6

* Mon Sep 27 1999 binn <binn@binn.dnd.to>
- Put convert_kanji_auto() in read_data() [src/common/xchat.c]
- But not yet fixed DCC info trouble
- Update to 1.3.3.ja-5

* Sat Sep 25 1999 Tsutomu Yasuda <_tom_@sf.airnet.ne.jp>
- fix channel list dialog
- Update to 1.3.3.ja-4

* Sat Sep 25 1999 binn <binn@binn.dnd.to>
- add slightly changed to src and put ja.po very much
  for japanized comment output

* Fri Sep 24 1999 Tsutomu Yasuda <_tom_@sf.airnet.ne.jp>
- fix channel list dialog

* Thu Sep 23 1999 Tsutomu Yasuda <_tom_@sf.airnet.ne.jp>
- release 1.3.3.ja-01 that's dev. version of Japanese localized one.

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS COPYING
%{_sysconfdir}/X11/applnk/Internet/xchat.desktop
%attr(755,root,root) %{_bindir}/xchat*
%{_libdir}/*
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/xchat.png
%{_datadir}/applications/xchat.desktop
